Package org.jboss.logmanager.filters

# Class AllFilter

java.lang.Object
org.jboss.logmanager.filters.AllFilter

All Implemented Interfaces:
  `Filter`

public final class AllFilter extends Object implements Filter
A filter consisting of several filters in a chain. If any filter finds the log message to be unloggable, the message will not be logged and subsequent filters will not be checked. If there are no nested filters, this instance always returns `true`.

## Constructor Summary

Constructors
Constructor
Description
`AllFilter(Iterable<Filter> filters)`
Construct a new instance.
`AllFilter(Iterator<Filter> filters)`
Construct a new instance.
`AllFilter(Filter[] filters)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoggable(LogRecord record)`
Determine whether the record is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AllFilter

public AllFilter(Filter[] filters)
Construct a new instance.

Parameters:
  `filters` - the constituent filters

### AllFilter

public AllFilter(Iterable<Filter> filters)
Construct a new instance.

Parameters:
  `filters` - the constituent filters

### AllFilter

public AllFilter(Iterator<Filter> filters)
Construct a new instance.

Parameters:
  `filters` - the constituent filters

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Determine whether the record is loggable.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if all the constituent filters return `true`